package com.tanpu.feo.feojob.jobs.service;

import com.tanpu.feo.feojob.entity.*;
import com.tanpu.feo.feojob.jobs.dto.WorkDataDto;
import com.tanpu.feo.feojob.mapper.*;
import com.tanpu.feo.feojob.service.*;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

@Service
@Slf4j
public class OrgSyncByWxcpService {
    @Resource
    private UserInfoMapper userInfoMapper;
    @Resource
    private DepartmentMapper departmentMapper;
    @Resource
    private DepartmentEmployeeMapper departmentEmployeeMapper;
    @Resource
    private EmployeeMapper employeeMapper;
    @Resource
    private EmployeeRoleMapper employeeRoleMapper;

    @Transactional
    public List<IfaAssets> execute(WorkDataDto<UserInfo> workUserInfo, WorkDataDto<Employee> workEmployee, WorkDataDto<Department> workDepartment,
                        WorkDataDto<DepartmentEmployee> workDepartmentEmployee, WorkDataDto<EmployeeRole> workEmployeeRole) {
        ArrayList<IfaAssets> assetsArrayList = new ArrayList<>();
        Date now = new Date();
        // 1
        List<UserInfo> workUserInfoInsertList = workUserInfo.getInsertList();
        for (UserInfo userInfo : workUserInfoInsertList) {
            userInfo.setCreateby("SYS");
            userInfo.setCreatetime(now);
            userInfo.setUpdateby("SYS");
            userInfo.setUpdatetime(now);
            userInfo.setDeletetag("0");
            userInfoMapper.insert(userInfo);
        }
        List<UserInfo> workUserInfoUpdateList = workUserInfo.getUpdateList();
        for (UserInfo userInfo : workUserInfoUpdateList) {
            userInfo.setUpdateby("SYS");
            userInfo.setUpdatetime(now);
            userInfo.setDeletetag("0");
            userInfoMapper.updateById(userInfo);
        }
        List<UserInfo> workUserInfoDeleteList = workUserInfo.getDeleteList();
        for (UserInfo userInfo : workUserInfoDeleteList) {
            userInfo.setUpdateby("SYS");
            userInfo.setUpdatetime(now);
            userInfo.setDeletetag("1");
            userInfoMapper.updateById(userInfo);
        }

        //2
        List<Employee> workEmployeeInsertList = workEmployee.getInsertList();
        for (Employee employee : workEmployeeInsertList) {
            employee.setCreateBy("SYS");
            employee.setCreateTime(now);
            employee.setUpdateBy("SYS");
            employee.setUpdateTime(now);
            employee.setDeleteTag("0");
            employeeMapper.insert(employee);
            IfaAssets ifaAssets = new IfaAssets();
            ifaAssets.setIfaId(employee.getEmployeeId());
            ifaAssets.setId(employee.getEmployeeId());
            ifaAssets.setCreateTime(now);
            ifaAssets.setCreateBy("SYS");
            ifaAssets.setUpdateTime(now);
            ifaAssets.setUpdateBy("SYS");
            ifaAssets.setDeleteTag("0");
            assetsArrayList.add(ifaAssets);
//            ifaAssetsService.insertIfaAssets(ifaAssets);
        }
        List<Employee> workEmployeeDeleteList = workEmployee.getDeleteList();
        for (Employee employee : workEmployeeDeleteList) {
            employee.setUpdateBy("SYS");
            employee.setUpdateTime(now);
            employee.setDeleteTag("1");
            employeeMapper.updateById(employee);
        }
        List<Employee> workEmployeeUpdateList = workEmployee.getUpdateList();
        for (Employee employee : workEmployeeUpdateList) {
            employee.setUpdateBy("SYS");
            employee.setUpdateTime(now);
            employee.setDeleteTag("0");
            employeeMapper.updateById(employee);
        }

        //3
        List<Department> workDepartmentInsertList = workDepartment.getInsertList();
        for (Department department : workDepartmentInsertList) {
            department.setCreateBy("SYS");
            department.setCreateTime(now);
            department.setUpdateBy("SYS");
            department.setUpdateTime(now);
            department.setDeleteTag("0");
            departmentMapper.insert(department);
        }
        List<Department> workDepartmentDeleteList = workDepartment.getDeleteList();
        for (Department department : workDepartmentDeleteList) {
            department.setUpdateBy("SYS");
            department.setUpdateTime(now);
            department.setDeleteTag("1");
            departmentMapper.updateById(department);
        }
        List<Department> workDepartmentUpdateList = workDepartment.getUpdateList();
        for (Department department : workDepartmentUpdateList) {
            department.setUpdateBy("SYS");
            department.setUpdateTime(now);
            department.setDeleteTag("0");
            departmentMapper.updateById(department);
        }
        //4
        List<DepartmentEmployee> workDepartmentEmployeeInsertList = workDepartmentEmployee.getInsertList();
        for (DepartmentEmployee departmentEmployee : workDepartmentEmployeeInsertList) {
            departmentEmployee.setCreateBy("SYS");
            departmentEmployee.setCreateTime(now);
            departmentEmployee.setUpdateBy("SYS");
            departmentEmployee.setUpdateTime(now);
            departmentEmployee.setDeleteTag("0");
            departmentEmployeeMapper.insert(departmentEmployee);
        }
        List<DepartmentEmployee> workDepartmentEmployeeDeleteList = workDepartmentEmployee.getDeleteList();
        for (DepartmentEmployee departmentEmployee : workDepartmentEmployeeDeleteList) {
            departmentEmployee.setUpdateBy("SYS");
            departmentEmployee.setUpdateTime(now);
            departmentEmployee.setDeleteTag("1");
            departmentEmployeeMapper.updateById(departmentEmployee);
        }
        List<DepartmentEmployee> workDepartmentEmployeeUpdateList = workDepartmentEmployee.getUpdateList();
        for (DepartmentEmployee departmentEmployee : workDepartmentEmployeeUpdateList) {
            departmentEmployee.setUpdateBy("SYS");
            departmentEmployee.setUpdateTime(now);
            departmentEmployee.setDeleteTag("0");
            departmentEmployeeMapper.updateById(departmentEmployee);
        }
        //5
        List<EmployeeRole> workEmployeeRoleInsertList = workEmployeeRole.getInsertList();
        for (EmployeeRole employeeRole : workEmployeeRoleInsertList) {
            employeeRole.setCreateBy("SYS");
            employeeRole.setCreateTime(now);
            employeeRole.setUpdateBy("SYS");
            employeeRole.setUpdateTime(now);
            employeeRole.setDeleteTag("0");
            employeeRoleMapper.insert(employeeRole);
        }
        List<EmployeeRole> workEmployeeRoleDeleteList = workEmployeeRole.getDeleteList();
        for (EmployeeRole employeeRole : workEmployeeRoleDeleteList) {
            employeeRole.setUpdateBy("SYS");
            employeeRole.setUpdateTime(now);
            employeeRole.setDeleteTag("1");
            employeeRoleMapper.updateById(employeeRole);
        }
        List<EmployeeRole> workEmployeeRoleUpdateList = workEmployeeRole.getUpdateList();
        for (EmployeeRole employeeRole : workEmployeeRoleUpdateList) {
            employeeRole.setUpdateBy("SYS");
            employeeRole.setUpdateTime(now);
            employeeRole.setDeleteTag("0");
            employeeRoleMapper.updateById(employeeRole);
        }
        return assetsArrayList;
    }

}
