package com.tanpu.feo.feojob.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.tanpu.feo.feojob.entity.Department;
import com.tanpu.feo.feojob.mapper.DepartmentMapper;
import com.tanpu.feo.feojob.service.DepartmentService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 部门信息表ServiceImp
 *
 * @author zejia zj wu 2021年05月18日
 * @version 1.0
 */
@Service("departmentService")
@Slf4j
public class DepartmentServiceImpl implements DepartmentService {

	@Autowired
	private DepartmentMapper departmentMapper;

	@Override
	public List<Department> findDepartmentByOrgId(String orgId) {
		QueryWrapper<Department> queryWrapper = new QueryWrapper<>();
		queryWrapper.eq("org_id",orgId)
				.eq("delete_tag","0");
		List<Department> departmentList = departmentMapper.selectList(queryWrapper);
		return departmentList;
	}
}
