package com.tanpu.feo.feojob.service.impl;

import java.util.ArrayList;
import java.util.List;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.tanpu.feo.feojob.entity.EmployeeRole;
import com.tanpu.feo.feojob.mapper.EmployeeRoleMapper;
import com.tanpu.feo.feojob.service.EmployeeRoleService;
import lombok.extern.slf4j.Slf4j;

/**
 * 员工角色关系表ServiceImp
 *
 * @author zejia zj wu 2021年05月18日
 * @version 1.0
 */
@Service("employeeRoleService")
@Slf4j
public class EmployeeRoleServiceImpl implements EmployeeRoleService {

	@Autowired
	private EmployeeRoleMapper employeeRoleMapper;

	@Override
	public List<EmployeeRole> findInfoByOrgId(String orgId) {
		QueryWrapper<EmployeeRole> queryWrapper = new QueryWrapper<>();
		queryWrapper.eq("org_id",orgId)
				.eq("delete_tag","0");
		List<EmployeeRole> employeeRoleList = employeeRoleMapper.selectList(queryWrapper);
		return employeeRoleList;
	}

	@Override
	public List<String> findInfoByOrgIdAndAdmin(String orgId, String m) {
		QueryWrapper<EmployeeRole> queryWrapper = new QueryWrapper<>();
		queryWrapper.eq("org_id",orgId)
				.eq("delete_tag","0")
				.eq("role_id", m);
		List<EmployeeRole> employeeRoleList = employeeRoleMapper.selectList(queryWrapper);
		ArrayList<String> list = new ArrayList<>();
		for (EmployeeRole employeeRole : employeeRoleList) {
			list.add(employeeRole.getEmployeeId());
		}
		return list;
	}
}
