package com.tanpu.feo.feojob.web.dto;

import com.github.pagehelper.Page;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;
import java.util.Map;

/**
 *
 * @author zejia zj wu 20210518
 * @param <T>
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class PageHelperDTO<T> extends BaseDTO {

    /**
     *
     */
    private static final long serialVersionUID = 1L;

    /**页数(前端请求传入)*/
    @ApiModelProperty(value = "页数(前端请求传入)")
    private Integer pageNum;

    /**每页数量(前端请求传入)*/
    @ApiModelProperty(value = "每页数量(前端请求传入)")
    private Integer pageSize;

    /**扩展说明*/
    @ApiModelProperty(value = "扩展说明",hidden = true)
    private Map<String, Object> extdJson;

    /**总记录数(后端响应传出)*/
    @ApiModelProperty(value = "总记录数(后端响应传出)",hidden = true)
    private Long totalAmount;

    /**查询列表(后端响应传出)*/
    @ApiModelProperty(value = "查询列表(后端响应传出)",hidden = true)
    private List<T> resultList;

    public PageHelperDTO(Page<T> page, List<T> resultList){
        this.totalAmount = page.getTotal();
        this.resultList = resultList;
    }
}
